ioZen Docs
GET
/webhooks/{id}/deliveries

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Pass your ioZen API key as a Bearer token in the Authorization header.

Path Parameters

id*string

Webhook endpoint ID

Query Parameters

limit?integer

Maximum number of items to return (1–100, default 50)

Range1 <= value <= 100
Default50
cursor?string

Cursor for pagination — use next_cursor from a previous response

Response Body

Successful response

application/json
  1. response
success*true
Value intrue
data*
Example Request
curl -X GET 'https://app.iozen.ai/api/v1/webhooks/cm7abc12x0001yz9k8mno3pqr/deliveries'
Example Response
{  "success": true,  "data": {    "deliveries": [      {        "id": "cm7del01a0001yz9k8mno3pqr",        "event_id": "evt_clxyz...",        "event_type": "submission.completed",        "status": "success",        "http_status": 200,        "error_message": null,        "duration_ms": 142,        "manual": false,        "created_at": "2026-02-24T16:30:00.000Z"      }    ],    "pagination": {      "has_more": false,      "next_cursor": null    }  }}